<?php
require_once 'db_connect.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $pseudo = trim($_POST['pseudo']);
    $email = trim($_POST['email']);
    $password = trim($_POST['password']);
    $confirmPassword = trim($_POST['confirm_password']);

    if ($password !== $confirmPassword) {
        die('Les mots de passe ne correspondent pas.');
    }

    $hashedPassword = password_hash($password, PASSWORD_DEFAULT);

    $stmt = $conn->prepare("INSERT INTO users (pseudo, email, password) VALUES (?, ?, ?)");
    $stmt->bind_param('sss', $pseudo, $email, $hashedPassword);

    if ($stmt->execute()) {
        echo 'Compte créé avec succès. Vous pouvez maintenant vous connecter.';
        header('Location: ../connexion.html');
        exit();
    } else {
        echo 'Erreur : ' . $stmt->error;
    }

    $stmt->close();
}
$conn->close();
?>
