<?php
require_once 'db_connect.php';
session_start();

if (!isset($_SESSION['user_id'])) {
    die('Vous devez être connecté pour gagner des Melodic Points.');
}

$userId = $_SESSION['user_id'];
$pointsEarned = 1; // Par défaut : 1 vue = 1 point

$stmt = $conn->prepare("UPDATE users SET melodic_points = melodic_points + ? WHERE id = ?");
$stmt->bind_param('ii', $pointsEarned, $userId);

if ($stmt->execute()) {
    $_SESSION['melodic_points'] += $pointsEarned;
    echo "Félicitations ! Vous avez gagné $pointsEarned Melodic Point.";
} else {
    echo "Erreur lors de la mise à jour des points : " . $stmt->error;
}

$stmt->close();
$conn->close();
?>
