<?php
require_once 'db_connect.php';
session_start();

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $pseudo = trim($_POST['pseudo']);
    $password = trim($_POST['password']);

    $stmt = $conn->prepare("SELECT id, password, melodic_points FROM users WHERE pseudo = ?");
    $stmt->bind_param('s', $pseudo);
    $stmt->execute();
    $stmt->store_result();

    if ($stmt->num_rows > 0) {
        $stmt->bind_result($id, $hashedPassword, $melodicPoints);
        $stmt->fetch();

        if (password_verify($password, $hashedPassword)) {
            $_SESSION['user_id'] = $id;
            $_SESSION['pseudo'] = $pseudo;
            $_SESSION['melodic_points'] = $melodicPoints;

            header('Location: ../index.html');
            exit();
        } else {
            echo 'Mot de passe incorrect.';
        }
    } else {
        echo 'Aucun compte trouvé avec ce pseudo.';
    }

    $stmt->close();
}
$conn->close();
?>
